diff options
author | Christian Grothoff <christian@grothoff.org> | 2020-08-19 18:03:45 +0200 |
---|---|---|
committer | Christian Grothoff <christian@grothoff.org> | 2020-08-19 18:03:45 +0200 |
commit | a84c61dd82b17bc42593e5fd358cd0917d195f4f (patch) | |
tree | 3769ad4a28c807ea8768ac1aee6a8ccdd97314b6 /src/auditor/test-revocation.sh | |
parent | 1cd3f3281b19e2b739eca02a4b21f756e962f78c (diff) |
fix #6483: ensure cleanup of processes on exit
Diffstat (limited to 'src/auditor/test-revocation.sh')
-rwxr-xr-x | src/auditor/test-revocation.sh | 10 |
1 files changed, 9 insertions, 1 deletions
diff --git a/src/auditor/test-revocation.sh b/src/auditor/test-revocation.sh index 1b5070a3b..ac1f4dcc8 100755 --- a/src/auditor/test-revocation.sh +++ b/src/auditor/test-revocation.sh @@ -36,11 +36,19 @@ function exit_skip() { # Exit, with error message (hard failure) function exit_fail() { echo $1 + exit 1 +} + +# Cleanup to run whenever we exit +function cleanup() +{ kill `jobs -p` >/dev/null 2>/dev/null || true wait - exit 1 } +# Install cleanup handler (except for kill -9) +trap cleanup EXIT + # Operations to run before the actual audit function pre_audit () { |